<template>
  <view class="page__view">

		<navbar leftClick @leftClick="$utils.navigateBack" color="#191919" bgColor="#FFFFFF" />

    <view class="main">
      <view class="title" v-if="detail.title">{{ detail.title }}</view>
      <view class="title-sub" v-if="detail.subTitle">{{ detail.subTitle }}</view>
      <view class="content">
  			<uv-parse :content="detail.content"></uv-parse>
      </view>
    </view>

  </view>
	
</template>

<script>
	import { mapState } from 'vuex'

	export default {
		computed: {
			...mapState(['configList']),
		},
		data() {
			return {
        detail: {},
			}
		},
		onLoad(arg) {
			const { id } = arg

      this.getData(id)
		},
    methods: {
      async getData(id) {
        try {
          this.detail = await this.$fetch('getAboutDetail', { id })
        } catch (err) {

        }
      },
    },
	}
</script>

<style lang="scss" scoped>

	.page__view {
		width: 100vw;
		min-height: 100vh;
		background-color: $uni-bg-color;
		position: relative;
		
		/deep/ .nav-bar__view {
			position: fixed;
			top: 0;
			left: 0;
		}
	}

	.main {
		padding: calc(var(--status-bar-height) + 120rpx) 16rpx 16rpx 16rpx;
	}

  .title {
    font-size: 64rpx;
    font-weight: 700;
    line-height: 1.4;
  }
  
  .title-sub {
    font-size: 48rpx;
    font-weight: 500;
    line-height: 1.4;
  }

  .content {
    margin-top: 24rpx;
  }

</style>